NPM-RUN-SCRIPT(3)

NAME
npm-run-script -- Run arbitrary package scripts

SYNOPSIS
npm.commands.run-script(args, callback)

DESCRIPTION
This runs an arbitrary command from a package's "scripts" object.

It is used by the test, start, restart, and stop commands, but can be called directly, as well.

The 'args' parameter is an array of strings. Behavior depends on the number of elements. If there is only one element, npm assumes that the element represents a command to be run on the local repository. If there is more than one element, then the first is assumed to be the package and the second is assumed to be the command to run. All other elements are ignored.

SEE ALSO

•   npm help scripts

•   npm apihelp test

•   npm apihelp start

•   npm apihelp restart

•   npm apihelp stop